<div class="content-card flex column">
    <div class="flex center-center">
        <div class="img-card flex center-center">
            <img src="https://via.placeholder.com/230x120?text=Photo" alt="product">
        </div>
    </div>
    <div class="info-card flex column" style="justify-content: center">
        <button *ngIf="!active" (click)="active = !active" color="primary" class="add-cart bounceIn" mat-fab>
            <i class="material-icons">add_shopping_cart</i>
        </button>
        <div class="flex between-end">
            <div class="flex column">
                <span class="hint">Nombre</span>
                <span>{{product.name}}</span>
            </div>
            <div class="flex column">
                <span class="hint">Precio</span>
                <span>{{product.price}}</span>
            </div>
            <div class="flex column">
                <span class="hint">Stock</span>
                <span>{{product.quantity-quantity.value}}</span>
            </div>
        </div>
        <div class=" flex between-center animated bounceInUp" *ngIf="active">
            <button (click)="active = !active" mat-button color="warn">
                <i  class="material-icons">close</i>
            </button>
            <mat-form-field class="number">
                <input [formControl]="quantity" min="1" [max]="product.quantity" autocomplete="off" matInput
                    type="number">
                <mat-hint>cantidad</mat-hint>
            </mat-form-field>
            <button (click)="addCart(); active = !active" color="primary" mat-mini-fab>
                <i class="material-icons">add_shopping_cart</i>
            </button>
        </div>
    </div>
</div>